org.wso2.carbon.tryit.wadl.data

## Class SwaggerImplementation

- java.lang.Object
- - org.wso2.carbon.tryit.wadl.data.SwaggerImplementation

-     public class SwaggerImplementation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwaggerImplementation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<apis>` | `getApis()`
    `String` | `getApiVersion()`
    `String` | `getBasePath()`
    `List<String>` | `getModels()`
    `String` | `getResourcePath()`
    `String` | `getSwaggerVersion()`
    `void` | `setApis(List<apis> apis)`
    `void` | `setApiVersion(String apiVersion)`
    `void` | `setBasePath(String basePath)`
    `void` | `setModels(List<String> models)`
    `void` | `setResourcePath(String resourcePath)`
    `void` | `setSwaggerVersion(String swaggerVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwaggerImplementation

          public SwaggerImplementation()

  - ### Method Detail

    - #### getApiVersion

          public String getApiVersion()

    - #### setApiVersion

          public void setApiVersion(String apiVersion)

    - #### getSwaggerVersion

          public String getSwaggerVersion()

    - #### setSwaggerVersion

          public void setSwaggerVersion(String swaggerVersion)

    - #### getBasePath

          public String getBasePath()

    - #### setBasePath

          public void setBasePath(String basePath)

    - #### getResourcePath

          public String getResourcePath()

    - #### setResourcePath

          public void setResourcePath(String resourcePath)

    - #### getApis

          public List<apis> getApis()

    - #### setApis

          public void setApis(List<apis> apis)

    - #### getModels

          public List<String> getModels()

    - #### setModels

          public void setModels(List<String> models)

Copyright © 2019 WSO2. All rights reserved.